Subject: Re: [PATCH 2/2] Add local bus device nodes to MPC837xMDS device trees.

From: Segher Boessenkool <[email-masked]>
Date: Fri, 7 Mar 2008 04:39:30 +0100

> This isn't a problem with this device tree, but it's probably time we
> started establishing some conventional generic names for nand flash
> and board-control devices.
>
> So, to start the ball rolling, I've seen several names for nand flash
> nodes, I'd suggest we standardise on "nand-flash".

What's wrong with the already well-established generic name "flash"?

> I've seen several variants for board control devices (cpld, bcsr,
> fpga, etc.) I suggest we standardise on "board-control"

Fine with me, but it's very vague (hard to avoid though).

Segher